summaryrefslogtreecommitdiffstats
path: root/games/cryptokwot
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2022-01-10 23:22:19 -0500
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-01-17 09:03:28 +0700
commitdc52d121921a79e9fae20f586c820a1fd8dd14a5 (patch)
tree7edcd3af2ed48adb18fca814627e1c4dad9e53d4 /games/cryptokwot
parentc218f521979d82dfe7faa356d3d5d63e03eab419 (diff)
downloadslackbuilds-dc52d121921a79e9fae20f586c820a1fd8dd14a5.tar.gz
slackbuilds-dc52d121921a79e9fae20f586c820a1fd8dd14a5.tar.xz
games/cryptokwot: Added (substitution cipher game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games/cryptokwot')
-rw-r--r--games/cryptokwot/README10
-rw-r--r--games/cryptokwot/cryptokwot.SlackBuild55
-rw-r--r--games/cryptokwot/cryptokwot.info10
-rw-r--r--games/cryptokwot/doinst.sh9
-rw-r--r--games/cryptokwot/slack-desc19
5 files changed, 103 insertions, 0 deletions
diff --git a/games/cryptokwot/README b/games/cryptokwot/README
new file mode 100644
index 0000000000..844175641e
--- /dev/null
+++ b/games/cryptokwot/README
@@ -0,0 +1,10 @@
+cryptokwot (substitution cipher game)
+
+This is a game which the player must decipher a quotation that's been
+enciphered with a randomly generated simple substitution cipher. If
+you've ever done a newspaper Cryptoquote or Cryptoquip, this will be
+familiar.
+
+cryptokwot doesn't solve the puzzle for you; it basically replaces
+pencil and paper, allowing you to assign plaintext letters to
+ciphertext ones interactively.
diff --git a/games/cryptokwot/cryptokwot.SlackBuild b/games/cryptokwot/cryptokwot.SlackBuild
new file mode 100644
index 0000000000..d3df35a140
--- /dev/null
+++ b/games/cryptokwot/cryptokwot.SlackBuild
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+# Slackware build script for cryptokwot
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=cryptokwot
+VERSION=${VERSION:-0.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH=noarch
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+# No "source" directory needed. The executable spits out its own man page,
+# .desktop file, and icon, so give it a short name:
+P=$PKG/usr/games/$PRGNAM
+
+rm -rf $PKG
+mkdir -p \
+ $PKG/usr/{games,man/man6,share/{icons/hicolor/64x64/apps,applications}} \
+ $OUTPUT
+install -oroot -groot -m0755 $CWD/$PRGNAM $P
+
+$P --man | gzip -9c > $PKG/usr/man/man6/$PRGNAM.6.gz
+$P --icon | convert gif:- png32:$PKG/usr/share/icons/hicolor/64x64/apps/$PRGNAM.png
+$P --desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+PKGDOC=$PKG/usr/doc/$PRGNAM-$VERSION
+mkdir -p $PKGDOC
+cat $CWD/README > $PKGDOC/README
+cat $CWD/$PRGNAM.SlackBuild > $PKGDOC/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/games/cryptokwot/cryptokwot.info b/games/cryptokwot/cryptokwot.info
new file mode 100644
index 0000000000..da7bd94318
--- /dev/null
+++ b/games/cryptokwot/cryptokwot.info
@@ -0,0 +1,10 @@
+PRGNAM="cryptokwot"
+VERSION="0.0.3"
+HOMEPAGE="https://slackware.uk/~urchlay/src/cryptokwot.html"
+DOWNLOAD="https://slackware.uk/~urchlay/src/cryptokwot"
+MD5SUM="50e66b402ad7b606dda330e4dc9706ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/games/cryptokwot/doinst.sh b/games/cryptokwot/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/games/cryptokwot/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/games/cryptokwot/slack-desc b/games/cryptokwot/slack-desc
new file mode 100644
index 0000000000..0a723bc076
--- /dev/null
+++ b/games/cryptokwot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+cryptokwot: cryptokwot (substitution cipher game)
+cryptokwot:
+cryptokwot: This is a game which the player must decipher a quotation that's been
+cryptokwot: enciphered with a randomly generated simple substitution cipher. If
+cryptokwot: you've ever done a newspaper Cryptoquote or Cryptoquip, this will be
+cryptokwot: familiar.
+cryptokwot:
+cryptokwot: cryptokwot doesn't solve the puzzle for you; it basically replaces
+cryptokwot: pencil and paper, allowing you to assign plaintext letters to
+cryptokwot: ciphertext ones interactively.
+cryptokwot: